Subject: [Diffserv] diffserv WG charter

From: Brian E Carpenter <[email-masked]>
Date: Thu, 16 Dec 1999 11:57:41 -0600

Hi,

Here is draft revised charter for the diffserv WG, which has been discussed
and agreed with the Area Directors. The major change is the new objective
of producing Behavior Aggregate descriptions. Kathie will send a draft
of the format for describing BAs as soon as possible...

   Brian + Kathie
   diffserv co-chairs

Description of Working Group: 

There is a clear need for relatively simple and coarse methods 
of providing differentiated classes of service for Internet traffic,
to support various types of applications, and specific business 
requirements. The differentiated services approach to providing 
quality of service in networks employs a small, well-defined set of
building blocks from which a variety of aggregate behaviors may be built. 
A small bit-pattern in each packet, in the IPv4 TOS octet 
or the IPv6 Traffic Class octet, is used to
mark a packet to receive a particular forwarding treatment, 
or per-hop behavior, at each network node. A common understanding 
about the use and interpretation of this bit-pattern is required 
for inter-domain use, multi-vendor interoperability, and consistent 
reasoning about expected aggregate behaviors in a network. Thus, the
Working Group has standardized a common layout for a six-bit field of 
both octets, called the 'DS field'. RFC 2474 and RFC 2475 define the 
architecture, and the general use of bits within the DS field 
(superseding the IPv4 TOS octet definitions of RFC 1349). 
The Working Group has standardized a small number of
specific per-hop behaviors (PHBs), and recommended a particular bit 
pattern or 'code-point' of the DS field for each one,
| in RFC 2474, RFC 2597, and RFC 2598. No more PHBs will be
| standardized until all the current milestones of the WG
| have been satisfied and the existing standard PHBs have
| been promoted at least to Draft Standard status. 

The WG has investigated the additional components necessary to support 
differentiated services, including such traffic conditioners as 
traffic shapers and packet markers that could be used at the boundaries 
of networks. There are many examples of these in the technical literature.

The WG will define a general conceptual model for boundary 
devices, including traffic conditioning parameters,
and configuration and monitoring data. It is expected that a 
subset of this will apply to all diffserv nodes. 
The group will also define a MIB and a PIB for diffserv nodes,
and an encoding to identify PHBs in protocol messages.
It will document issues involving diffserv through tunnels.

| The WG will develop a format for precisely describing various
| Behavior Aggregates (BAs), which were initially defined in RFC 2474
| and 2475. A BA is a collection of packets with the same codepoint, 
| thus receiving the same PHB, within a single diffserv network or domain. 
| Associated with each BA are measurable, quantifiable characteristics 
| which can be used to describe what happens to packets of that BA as they
| cross the network, thus providing an external description of the
| edge-to-edge quality of service that can be expected by packets
| of that BA within that network. A BA is formed at the edge of a
| network by selecting certain packets through use of classifiers 
| and by imposing rules on those packets via traffic conditioners.
| The description of a BA contains the specific edge rules and
| PHB type(s) and configurations that should be used in order to
| achieve specified externally visible characteristics.

| The specification of the transit expectations of behavior aggregates
| across clouds both assists in the deployment of QoS within a cloud and
| helps enable the composition of end-to-end, cross cloud services to
| proceed. 

| In addition to defining a format for BA descriptions, specific
| descriptions of BAs that can be constructed using the
| standard PHBs will be developed and reviewed by a design team
| prior to informational or standards track publication.

The group will analyze related security threats, especially theft of 
service or denial of service attacks, and suggest counter-measures. 

The group will not work on: 

o mechanisms for the identification of individual traffic flows 

o new signalling mechanisms to support the marking of packets 

o end to end service definitions 

o service level agreements 

Goals and Milestones:

 Done       Meet at LA IETF to review strawman spec
 Done       Initial discussions and outline for framework doc (FYI)
 Done       Revised drafts of spec and framework
 Done       Interim meeting to review spec and framework docs
 Done       Submit drafts to IESG for consideration as RFCs
 Done       Meet at Chicago IETF to discuss boundary mechanisms and traffic conditioners
 Done       Publish drafts on boundary mechanisms and traffic conditioners
 Done       Meet at IETF to finalise boundary mechanisms and traffic conditioners documents
 Done       Finalize EF per hop behaviour draft, submit to IESG
 Done       Publish boundary device model and MIB drafts
 Done       Finalize AF per hop behaviour draft, submit to IESG
 Done       Meet at Minneapolis IETF to discuss boundary draft and MIB draft
 Done       Meet at Oslo IETF to review traffic conditioner drafts and open issues.
 Done       Finalize initial traffic conditioner drafts
 Done       Meet at Washington IETF to progress model and MIB drafts.
 Dec 99     Finalize PHB identifier draft, submit to IESG
 Dec 99     Publish draft of format for BA descriptions
 Jan 00     Finalize boundary and MIB drafts, submit to IESG
 Jan 00     Solicit BA descriptions
 Feb 00     Finalize PIB draft, submit to IESG
 Feb 00     Finalize BA format draft, submit to IESG
 Mar 00     Meet at Adelaide IETF to review tunnels draft, discuss initial BA descriptions
 Apr 00     Finalize tunnels draft, submit to IESG
 Aug 00     Meet at Pittsburgh IETF to finalize initial BA descriptions, submit to IESG 
 Dec 00     Meet at San Diego IETF to close any open issues, make WG dormant

_______________________________________________
diffserv mailing list
[email-masked]
http://www.ietf.org/mailman/listinfo/diffserv
Archive: http://www-nrg.ee.lbl.gov/diff-serv-arch/